# Copyright (c) 2018 AngelLiang
# Copyright (c) 2023 Hewlett Packard Enterprise Development LP
# MIT License

"""added crontab + periodic task tables

Revision ID: 6cc745c3fb42
Revises:
Create Date: 2022-03-16 09:48:39.018910

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "6cc745c3fb42"
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "celery_crontab_schedule",
        sa.Column("id", sa.Integer(), autoincrement=True, nullable=False),
        sa.Column("minute", sa.String(length=240), nullable=True),
        sa.Column("hour", sa.String(length=96), nullable=True),
        sa.Column("day_of_week", sa.String(length=64), nullable=True),
        sa.Column("day_of_month", sa.String(length=124), nullable=True),
        sa.Column("month_of_year", sa.String(length=64), nullable=True),
        sa.Column("timezone", sa.String(length=64), nullable=True),
        sa.PrimaryKeyConstraint("id"),
        schema="scheduler",
    )
    op.create_table(
        "celery_periodic_task",
        sa.Column("id", sa.Integer(), autoincrement=True, nullable=False),
        sa.Column("name", sa.String(length=255), nullable=True),
        sa.Column("task", sa.String(length=255), nullable=True),
        sa.Column("crontab_id", sa.Integer(), nullable=True),
        sa.Column("args", sa.Text(), nullable=True),
        sa.Column("kwargs", sa.Text(), nullable=True),
        sa.Column("queue", sa.String(length=255), nullable=True),
        sa.Column("exchange", sa.String(length=255), nullable=True),
        sa.Column("routing_key", sa.String(length=255), nullable=True),
        sa.Column("priority", sa.Integer(), nullable=True),
        sa.Column("expires", sa.DateTime(timezone=True), nullable=True),
        sa.Column("one_off", sa.Boolean(), nullable=True),
        sa.Column("start_time", sa.DateTime(timezone=True), nullable=True),
        sa.Column("enabled", sa.Boolean(), nullable=True),
        sa.Column("last_run_at", sa.DateTime(timezone=True), nullable=True),
        sa.Column("total_run_count", sa.Integer(), nullable=False),
        sa.Column("date_changed", sa.DateTime(timezone=True), nullable=True),
        sa.Column("description", sa.Text(), nullable=True),
        sa.PrimaryKeyConstraint("id"),
        sa.UniqueConstraint("name"),
        schema="scheduler",
    )
    op.create_table(
        "celery_periodic_task_changed",
        sa.Column("id", sa.Integer(), nullable=False),
        sa.Column("last_update", sa.DateTime(timezone=True), nullable=False),
        sa.PrimaryKeyConstraint("id"),
        schema="scheduler",
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table("celery_periodic_task_changed", schema="scheduler")
    op.drop_table("celery_periodic_task", schema="scheduler")
    op.drop_table("celery_crontab_schedule", schema="scheduler")
    # ### end Alembic commands ###
